Bug 190406 - [MAINTAINER-UPDATE] dns/dnscrypt-proxy update to 1.4.0
Summary: [MAINTAINER-UPDATE] dns/dnscrypt-proxy update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-30 12:40 UTC by Leo Vandewoestijne
Modified: 2014-06-05 19:49 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (1.38 KB, patch)
2014-05-30 12:40 UTC, Leo Vandewoestijne
no flags Details | Diff
Update dns/dnscrypt-proxy to 1.4.0 (3.43 KB, patch)
2014-06-04 01:08 UTC, Allan Jude
no flags Details | Diff
Set a default for -R to avoid dnscrypt not working (2.16 KB, patch)
2014-06-05 18:44 UTC, Allan Jude
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2014-05-30 12:40:00 UTC
A newer version of DNSCrypt proxy came out.

Fix: Patch attached with submission follows:
Comment 1 Allan Jude freebsd_committer 2014-06-04 01:07:02 UTC
I have the following patch, that does the same and more

https://phabric.freebsd.org/D105

Update to newer version (1.4.0)
Beef up the rc.conf script, providing my rc.conf variables
    log file
    pid file
    privsep user
    rclint fixes

Add license
create privsep user by default



Needs maintainer approval (freebsd@dns-lab.com)
Comment 2 Allan Jude freebsd_committer 2014-06-04 01:08:08 UTC
Created attachment 143348 [details]
Update dns/dnscrypt-proxy to 1.4.0
Comment 3 Mark Felder freebsd_committer 2014-06-04 19:10:31 UTC
Allan's patch produces a clean build for me and the new user _dnscrypt-proxy works fine as well.

Maintainer, do you approve this update to 1.4.0?
Comment 4 Leo Vandewoestijne 2014-06-04 20:08:54 UTC
I just saw this contribution this morning, and it already
looked all perfect, I just tested it to be sure,
so yes, certainly. Thanks!

Some next update we should start using the CSV config,
as it's probably easier for new users,
but since the "old" parameters are still supported
I preferred that (despite being deprecated); it would now
mainly suddenly break configs of existing users of this port.
Comment 5 commit-hook freebsd_committer 2014-06-04 21:10:33 UTC
A commit references this bug:

Author: feld
Date: Wed Jun  4 21:10:19 UTC 2014
New revision: 356546
URL: http://svnweb.freebsd.org/changeset/ports/356546

Log:
  Update to 1.4.0
  Add _dnscrypt-proxy user

  PR:		190406
  Approved by:	maintainer

Changes:
  head/UIDs
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/distinfo
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy.in
  head/dns/dnscrypt-proxy/pkg-plist
Comment 6 Mark Felder freebsd_committer 2014-06-04 21:11:45 UTC
Patch has been committed, thanks!
Comment 7 Allan Jude freebsd_committer 2014-06-05 18:44:37 UTC
Created attachment 143412 [details]
Set a default for -R to avoid dnscrypt not working

dnscrypt-proxy 1.4.0 introduced a new required parameter (-R)

dnscrypt-proxy comes with a CSV file full of different resolves, and you have to select one in order to be able to use dnscrypt (why didn't they use opendns by default...)

I've modified the rc.d script to add an rc.conf variable dnscrypt_proxy_resolver= that will take the name of a resolver from the CSV file. I have also given this a default value of 'opendns' so users upgrading from 1.3.x will not need to manually specify an option to get dnscrypt-proxy working again.
Comment 8 commit-hook freebsd_committer 2014-06-05 19:49:38 UTC
A commit references this bug:

Author: feld
Date: Thu Jun  5 19:30:59 UTC 2014
New revision: 356688
URL: http://svnweb.freebsd.org/changeset/ports/356688

Log:
  -Add more options for rc script
  -Utilize opendns if no provider configured to preserve documented behavior
  -rc script passes rclint
  -Fix the _dnscrypt-proxy user's home directory and add UPDATING entry

  PR:		190406
  Submitted by:	AllanJude

Changes:
  head/UIDs
  head/UPDATING
  head/dns/dnscrypt-proxy/Makefile
  head/dns/dnscrypt-proxy/files/dnscrypt-proxy.in